path: /build/build/backrest-app-backup-1.10.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise rm nodejs --nodeps -y && export FEATURES="-sandbox -usersandbox -ipc-sandbox
    -pid-sandbox -network-sandbox" && anise i '<net-libs/nodejs-22.0.0' -y --nodeps
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-backup/backrest -pv -t && \
    emerge -j ${JOBS} --nodeps app-backup/backrest
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/backrest && luet-portage --dir /pkgdir/backrest
    app-backup/backrest && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:d0f0e1df7c3a26fb23cd83cc95ec32b5c2b3251eb87a546e11f6fb792093acc6
  package:
    name: backrest
    version: 1.10.1
    category: app-backup
    requires:
    - name: restic
      version: '>=0'
      category: app-backup
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backrest is a web UI and orchestrator for restic backup
    uri:
    - https://github.com/garethgeorge/backrest
    license: GPL-3.0
    buildtimestamp: 2025-12-24 00:05:48.603942195 +0000 UTC m=+426.542630021
    labels:
      BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
      DEPEND: app-backup/restic net-libs/nodejs sys-apps/shadow
      IUSE: systemd
      RDEPEND: app-backup/restic
      emerge.packages: app-backup/backrest
      kit: core-server-kit
      original.package.name: app-backup/backrest
      original.package.slot: "0"
      original.package.version: 1.10.1
    treedir: /build/packages
  package_dir: /pkgdir/backrest
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6bacf582ed0f831d1231991a1aee96f170646f9915624938058e5895a901eae0
compressiontype: zstd
files:
- etc/conf.d/backrest
- etc/init.d/backrest
- usr/bin/backrest
- var/db/pkg/app-backup/backrest-1.10.1/BDEPEND
- var/db/pkg/app-backup/backrest-1.10.1/BUILD_TIME
- var/db/pkg/app-backup/backrest-1.10.1/CATEGORY
- var/db/pkg/app-backup/backrest-1.10.1/CBUILD
- var/db/pkg/app-backup/backrest-1.10.1/CFLAGS
- var/db/pkg/app-backup/backrest-1.10.1/CHOST
- var/db/pkg/app-backup/backrest-1.10.1/CONTENTS
- var/db/pkg/app-backup/backrest-1.10.1/COUNTER
- var/db/pkg/app-backup/backrest-1.10.1/CTARGET
- var/db/pkg/app-backup/backrest-1.10.1/CXX
- var/db/pkg/app-backup/backrest-1.10.1/CXXFLAGS
- var/db/pkg/app-backup/backrest-1.10.1/DEFINED_PHASES
- var/db/pkg/app-backup/backrest-1.10.1/DEPEND
- var/db/pkg/app-backup/backrest-1.10.1/DESCRIPTION
- var/db/pkg/app-backup/backrest-1.10.1/EAPI
- var/db/pkg/app-backup/backrest-1.10.1/FEATURES
- var/db/pkg/app-backup/backrest-1.10.1/HOMEPAGE
- var/db/pkg/app-backup/backrest-1.10.1/INHERITED
- var/db/pkg/app-backup/backrest-1.10.1/IUSE
- var/db/pkg/app-backup/backrest-1.10.1/IUSE_EFFECTIVE
- var/db/pkg/app-backup/backrest-1.10.1/KEYWORDS
- var/db/pkg/app-backup/backrest-1.10.1/LDFLAGS
- var/db/pkg/app-backup/backrest-1.10.1/LICENSE
- var/db/pkg/app-backup/backrest-1.10.1/NEEDED
- var/db/pkg/app-backup/backrest-1.10.1/NEEDED.ELF.2
- var/db/pkg/app-backup/backrest-1.10.1/PF
- var/db/pkg/app-backup/backrest-1.10.1/RDEPEND
- var/db/pkg/app-backup/backrest-1.10.1/RESTRICT
- var/db/pkg/app-backup/backrest-1.10.1/SIZE
- var/db/pkg/app-backup/backrest-1.10.1/SLOT
- var/db/pkg/app-backup/backrest-1.10.1/USE
- var/db/pkg/app-backup/backrest-1.10.1/backrest-1.10.1.ebuild
- var/db/pkg/app-backup/backrest-1.10.1/environment.bz2
- var/db/pkg/app-backup/backrest-1.10.1/repository
- var/lib/backrest/.keep_app-backup_backrest-0
package_cacheimage: ""
runtime:
  name: backrest
  version: 1.10.1
  category: app-backup
  requires:
  - name: restic
    version: '>=0'
    category: app-backup
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backrest is a web UI and orchestrator for restic backup
  uri:
  - https://github.com/garethgeorge/backrest
  license: GPL-3.0
  labels:
    BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
    DEPEND: app-backup/restic net-libs/nodejs sys-apps/shadow
    IUSE: systemd
    RDEPEND: app-backup/restic
    emerge.packages: app-backup/backrest
    kit: core-server-kit
    original.package.name: app-backup/backrest
    original.package.slot: "0"
    original.package.version: 1.10.1
